Bug 220380 - the included microtype package is old and buggy
the included microtype package is old and buggy
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 15:55 EST by Walter Neumann
Modified: 2013-07-02 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-05 06:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2006-12-20 15:55:54 EST
Description of problem: 
The microtype package included in tetex is version 1.6a from 02/02/05
which has known bugs. Current release is 1.9f of 2006/09/09

Version-Release number of selected component (if applicable): 

How reproducible: Always

Steps to Reproduce:
1. Run latex or pdflatex on a file that calls microtype
Actual results: Compilation usually aborts with message "Missing endcsname
inserted" and needs restarting. 

Expected results: Compilation should proceed with no error. More recent
microtype packages fix this.

Additional info: Current CTAN version of microtype is 1.9f of 2006/09/09 and it
fixes this problem (earlier versions also did)
Comment 1 Bug Zapper 2008-04-04 01:18:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Jindrich Novy 2008-04-05 06:58:09 EDT
The newer microtype should occur in F9 together with the TeXLive distribution
(tetex is obsoleted).

Considering FC5 is now EOL, closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.